Bad Allocation when Printing

2011-07-21 07:52 AM - Jon Hartman

Status: Closed

Priority: High

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Microsoft Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 14089

Description

Any attempt to print from the Print Composer causes an error to display stating 'Bad Allocation'. The printer simply prints off a blank sheet

of paper (See screen shots of before and after). Once the error has occurred the program freezes and must be closed before doing

anything else.

Related issues:

Related to QGIS Application - Bug report # 3467: Label Buffers Produces Extre... Closed

History

#1 - 2011-07-21 08:11 AM - Giovanni Manghi

attach/link a project with the necessary data, otherwise it would e hard to understand where is the problem

#2 - 2011-09-20 09:07 AM - peppo -

- File isolate_bug_4107.zip added

I have a small project which also produces a bad allocation error in the print composer. I run QGIS 1.7 on windows 7.

The error only happens, when zoomed to a certain scale in the print composer. The print composition is included in the project.

#3 - 2011-12-16 12:44 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#4 - 2011-12-24 06:42 AM - Giovanni Manghi

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

- Status changed from Open to Feedback

The attached project layer seems having nothing to do with the attached screenshots. There is only one vector while in the screenshots there is also a

raster. The vector also seems not related. The composer layout available in the attached project opens empty. Please attach another sample dataset to

allow do local tests.

#5 - 2012-01-13 06:30 AM - Paolo Cavallini

- Status changed from Feedback to Closed

- Resolution set to invalid
Closing for lack of feedback. Please check and reopen if necessary.

#6 - 2012-09-19 03:26 PM - Piotr Pachol

Error "Bad allocation" is connected with type of labeling used in layer.

I tried to print project with several layers (each consist of about one thousand of objects).

Error occurs when I tried to print layers with standard labels created by 'Layer properties' > 'Labels'.

There were no errors during printing the same layers:

    -  without any labels,

    -  when I created labels by means of option: 'Labeling' from 'Layer' main menu.

#7 - 2012-09-19 03:46 PM - Jürgen Fischer

Piotr Pachol wrote:

Error "Bad allocation" is connected with type of labeling used in layer.

I tried to print project with several layers (each consist of about one thousand of objects).

Error occurs when I tried to print layers with standard labels created by 'Layer properties' > 'Labels'.

There were no errors during printing the same layers:    -  without any labels,

    -  when I created labels by means of option: 'Labeling' from 'Layer' main menu.

Any of the labels buffered?  That's especially expensive with the old labeling.  BTW in master the "Labels" in layer properties is the new labeling and the old

one is "Labels (deprecated)".
